﻿using System.Diagnostics.CodeAnalysis;
using ThinkGeo.Core;
using ThinkGeo.UI.Maui;

namespace MapTest
{
    public partial class MainPage : ContentPage
    {

        public MainPage()
        {
            InitializeComponent();
        }

        private void mapView_SizeChanged(object sender, EventArgs e)
        {
            //Overlays.CreateGoogleMapOverlay(mapView);
            loadMap();
        }

        private async void loadMap()
        {
            mapView.MapUnit = GeographyUnit.Meter;

            // Set the map extent
            mapView.CenterPoint = new RectangleShape(-10786436, 3918518, -10769429, 3906002).GetCenterPoint();
            mapView.MapScale = 34000;
            mapView.MapTools.Add(new ZoomMapTool());

            var layerOverlay = new LayerOverlay();

            var googleLayer = new GoogleMapsLayer("GoogleApiKey");
            googleLayer.MapType = GoogleMapsMapType.Hybrid;
   
            layerOverlay.Layers.Add(googleLayer);
            mapView.Overlays.Add(layerOverlay);

            await mapView.RefreshAsync();
            mapTypeLabel.Text = googleLayer.MapType.ToString();
        }
    }

}
